x003024_g_scriptId = 003024

x003024_g_BigCrystal = 6001
x003024_g_SmallCrystal = 6002

x003024_g_BigCrystalCount = 5
x003024_g_BigCrystalPos = 4001

x003024_g_SmallCrystalCount = 20

x003024_g_SmallCrystalMinCD = 1
x003024_g_SmallCrystalMaxCD = 1

x003024_g_AddExpIndex = 5
x003024_g_AddExpRate = 0.2

--活动结束
function x003024_OnRefreshCrystal(scene)
	RefreshBigCrystal(scene, x003024_g_BigCrystal, x003024_g_BigCrystalCount, x003024_g_BigCrystalPos)
	RefreshSmallCrystal(scene, x003024_g_SmallCrystal, x003024_g_SmallCrystalCount, x003024_g_BigCrystalPos, x003024_g_SmallCrystalMinCD, x003024_g_SmallCrystalMaxCD)
end

function x003024_OnRefreshBigCrystal(scene)
	RefreshBigCrystal(scene, x003024_g_BigCrystal, x003024_g_BigCrystalCount, x003024_g_BigCrystalPos)
end

function x003024_OnRefreshSmallCrystal(scene)
	RefreshSmallCrystal(scene, x003024_g_SmallCrystal, x003024_g_SmallCrystalCount, x003024_g_BigCrystalPos, x003024_g_SmallCrystalMinCD, x003024_g_SmallCrystalMaxCD)
end

function x003024_OnAddExp(scene)
	GainExpByLevel(scene, x003024_g_AddExpIndex, x003024_g_AddExpRate)
end